<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>    := <strong><font color="#A020F0">Expanded</font></strong> <a href="POINTER.html"><font color="#008000">POINTER</font></a> -> <a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong> := <font color="#BC8F8F">"References to objects (POINTER is mapped as C type 'void *')"</font>;

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">type</font></strong>    := <em><strong><font color="#A4DEA4">`void *`</font></strong></em>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">default</font></strong> := <em><strong><font color="#A4DEA4">`NULL`</font></strong></em>:<a href="POINTER.html"><font color="#008000">POINTER</font></a>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Insert</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_numeric</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> := 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">in_range</font></strong> low:<a href="INTEGER_64.html"><font color="#008000">INTEGER_64</font></a> <strong><font color="#0000FF">to</font></strong> up:<a href="UINTEGER_64.html"><font color="#008000">UINTEGER_64</font></a> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  BSBS: A revoir.</font></strong></em>

  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">object_size</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <- 

  <br><font FACE="Sans-serif" color="#000000"><B>- pointer_size:INTEGER <- `sizeof(void *)`:INTEGER;</B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">is_null</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Is the external POINTER a NULL pointer ?</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">is_not_null</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Is the external POINTER a non-NULL pointer ?</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_native_array</font></strong>:<a href="NATIVE_ARRAY.html"><font color="#008000">NATIVE_ARRAY</font></a>[<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a>] <- 
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Convert `pointer' into 'native_array' type.</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_uinteger_32</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <- 
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  convert `pointer' into uinteger type (adress of the pointer)</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">from_uinteger</font></strong> p:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> :<a href="POINTER.html"><font color="#008000">POINTER</font></a> <- 
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  create POINTER from an adress</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_integer</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <- 
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Convertion format without test.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_integer</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>         <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_uinteger_8</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a>   <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_uinteger_16</font></strong>:<a href="UINTEGER_16.html"><font color="#008000">UINTEGER_16</font></a> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_uinteger_32</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_uinteger_64</font></strong>:<a href="UINTEGER_64.html"><font color="#008000">UINTEGER_64</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_integer_8</font></strong>:<a href="INTEGER_8.html"><font color="#008000">INTEGER_8</font></a>     <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_integer_16</font></strong>:<a href="INTEGER_16.html"><font color="#008000">INTEGER_16</font></a>   <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_integer_32</font></strong>:<a href="INTEGER_32.html"><font color="#008000">INTEGER_32</font></a>   <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_integer_64</font></strong>:<a href="INTEGER_64.html"><font color="#008000">INTEGER_64</font></a>   <-
</body>
</html>
 